# Interface TopviewControllerCustomInitArgs

interface TopviewControllerCustomInitArgs {
defaultFov?: number;
defaultLatitude?: number;
defaultLongitude?: number;
intersectMeshCreator?: () => IntersectMeshInterface;
maxFov?: number;
minFov?: number;
}

#### Hierarchy

- Omit<FloorplanControllerCustomInitArgs, "maxLatitude" | "minLatitude">
  - TopviewControllerCustomInitArgs

- Defined in lib/five/controllers/topview.ts:15

##### Index

### Properties

defaultFov?
defaultLatitude?
defaultLongitude?
intersectMeshCreator?
maxFov?
minFov?

## Properties

### `Optional` defaultFov

defaultFov?: number

默认相机可视角度（垂直），可作为 `zoom`

Inherited from FloorplanControllerCustomInitArgs.defaultFov

- Defined in lib/five/controllers/floorplan.ts:51

### `Optional` defaultLatitude

defaultLatitude?: number

默认俯仰角

Inherited from FloorplanControllerCustomInitArgs.defaultLatitude

- Defined in lib/five/controllers/floorplan.ts:45

### `Optional` defaultLongitude

defaultLongitude?: number

默认水平角

Inherited from FloorplanControllerCustomInitArgs.defaultLongitude

- Defined in lib/five/controllers/floorplan.ts:43

### `Optional` intersectMeshCreator

intersectMeshCreator?: () => IntersectMeshInterface

鼠标焦点环自定义创建器

Inherited from FloorplanControllerCustomInitArgs.intersectMeshCreator

- Defined in lib/five/controllers/floorplan.ts:57

### `Optional` maxFov

maxFov?: number

最大相机可视角度

Inherited from FloorplanControllerCustomInitArgs.maxFov

- Defined in lib/five/controllers/floorplan.ts:53

### `Optional` minFov

minFov?: number

最小相机可视角度

Inherited from FloorplanControllerCustomInitArgs.minFov

- Defined in lib/five/controllers/floorplan.ts:55